get
https://{domainname}/cloudAgentRestAPI/index.php/CloudAgent/CloudAgentAPI/campaignStatus
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Deprecation UpdateThis API will be deprecated by 30th April 2025.
We recommend to start using the new version of the APIs:
This API is used to know the status of the campaign, in other words, can be said to retrieve the position of the campaign, whether the campaign is running or not or in a ready position or not.
To access this API the following parameters MUST be passed.
| Parameter | Description |
|---|---|
| api_key* | Available in Cloudagent admin login |
| user_name* | CloudAgent username |
| campaign_name* | Name of the campaign through which the data has to be retrieved. |
NoteParameters with ‘*’ are mandatory parameters.
Possible responses
| Success response | "status": "success", "message": [ { "CampaignID": "256", "CampaignName": "Preview_naw", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "260", "CampaignName": "test_chat1", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "261", "CampaignName": "ivr_test", "UserName": "qa_testing", "Position": "READY" }, { "CampaignID": "263", "CampaignName": "hari_prog_none", "UserName": "qa_testing", "Position": "COMPLETED" } |
| Error | "status": "failure" "message": "All parameters are mandatory" |
| Invalid user_name | "status": "failure", "message": "no record found" |
Further InsightsBy default, the domain name is https://in1-ccaas-api.ozonetel.com. Please refer here to change based on the need.
